diff --git a/corefreqk.c b/corefreqk.c
index 518870d6..4fec3b30 100644
--- a/corefreqk.c
+++ b/corefreqk.c
@@ -3452,7 +3452,8 @@ void TurboBoost_Technology(CORE *Core)				/* Per SMT */
 	MISC_PROC_FEATURES MiscFeatures = {.value = 0};
 	RDMSR(MiscFeatures, MSR_IA32_MISC_ENABLE);
 
-	if (MiscFeatures.Turbo_IDA == 0) {
+	if ((MiscFeatures.Turbo_IDA == 0)
+	 && (Proc->Features.Power.EAX.TurboIDA)) {
 		PERF_CONTROL PerfControl = {.value = 0};
 		RDMSR(PerfControl, MSR_IA32_PERF_CTL);
 
diff --git a/coretypes.h b/coretypes.h
index aedc7220..1709f80b 100644
--- a/coretypes.h
+++ b/coretypes.h
@@ -4,7 +4,7 @@
  * Licenses: GPL2
  */
 
-#define COREFREQ_VERSION	"1.46.0"
+#define COREFREQ_VERSION	"1.46.1"
 
 enum {	GenuineIntel,
 	Core_Yonah,
